Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162098 - autofs interpretation of & in nis map
Summary: autofs interpretation of & in nis map
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: autofs
Version: 4.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Jeff Moyer
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-29 20:31 UTC by Jay Hilliard
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: 4.1.3-155
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-19 18:31:04 UTC


Attachments (Terms of Use)

Description Jay Hilliard 2005-06-29 20:31:57 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.7) Gecko/20050422 Red Hat/1.7.7-1.4.2

Description of problem:
My nis map uses a global

[root@mutton]# ypcat -k auto.facvs
* -vers=3 &:/disk1

If a host has disk1 exported, I can go to /facvs/hostname to see it, which works fine. This new behavior is the problem:

cd /facvs/foo (where foo isn't a valid hostname)

[root@mutton]# cd /facvs/foo
[root@mutton]# cd ..
[root@mutton]# ls -la
total 12
drwxr-xr-x   3 root root    0 Jun 29 13:25 .
drwxr-xr-x  41 root root 4096 Jun 23 16:08 ..
drwxr-xr-x  10 root root 4096 May 13  2004 foo

It's mounted my local /disk1 instead of failing.

[root@mutton]# df  /facvs/foo
Filesystem           1K-blocks      Used Available Use% Mounted on
/disk1                 8064304    524248   7130400   7% /facvs/foo
[root@mutton]# mount |grep foo
/disk1 on /facvs/foo type none (rw,bind)



Version-Release number of selected component (if applicable):
autofs-4.1.3-131

How reproducible:
Always

Steps to Reproduce:
1. use "* -vers=3 &:/disk1" for automount map
2. give invalid value for &
3. see it ignore & instead of failing and mount the local /disk1 which is exported.

Actual Results:  mounts locally exported /disk1 instead of failing to mount foo:/disk1

Expected Results:  foo is invalid, not mounting...

Additional info:

Comment 1 Jeff Moyer 2005-07-01 16:32:27 UTC
I'll take a look.


Comment 2 Jeff Moyer 2005-08-01 19:37:46 UTC
Could you please try autofs version 4.1.3-149, found here:

  http://people.redhat.com/jmoyer/autofs/rhel4/4.1.3-149/

This version should have a fix for the issue you are reporting.

Thanks.

Comment 3 Jay Hilliard 2005-08-17 19:07:56 UTC
Thank you, the change solved the problem.

Comment 6 Jeff Moyer 2005-10-19 18:31:04 UTC
This bug was fixed in the last round of updates.  autofs version 4.1.3-155 has
the fix, so I'm closing the bug.


Note You need to log in before you can comment on or make changes to this bug.